# Uses of Interface
org.opensaml.saml.saml1.core.SubjectLocality

Packages that use SubjectLocality
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of SubjectLocality in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return SubjectLocality
Modifier and Type
Method
Description
`SubjectLocality`
AuthenticationStatement.`getSubjectLocality()`
Get the `SubjectLocality`.
Methods in org.opensaml.saml.saml1.core with parameters of type SubjectLocality
Modifier and Type
Method
Description
`void`
AuthenticationStatement.`setSubjectLocality(SubjectLocality subjectLocality)`
Set the `SubjectLocality`.

## Uses of SubjectLocality in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement SubjectLocality
Modifier and Type
Class
Description
`class`
`SubjectLocalityImpl`
A concrete implementation of the `SubjectLocality` interface.
Fields in org.opensaml.saml.saml1.core.impl declared as SubjectLocality
Modifier and Type
Field
Description
`private SubjectLocality`
AuthenticationStatementImpl.`subjectLocality`
Contains the SubjectLocality subelement.
Methods in org.opensaml.saml.saml1.core.impl that return SubjectLocality
Modifier and Type
Method
Description
`SubjectLocality`
SubjectLocalityBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`SubjectLocality`
SubjectLocalityBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`SubjectLocality`
AuthenticationStatementImpl.`getSubjectLocality()`
Get the `SubjectLocality`.
Methods in org.opensaml.saml.saml1.core.impl with parameters of type SubjectLocality
Modifier and Type
Method
Description
`void`
AuthenticationStatementImpl.`setSubjectLocality(SubjectLocality locality)`
Set the `SubjectLocality`.